%
%  This class file is used for making manuscript style.
%    Ver 1.00  1997.05.18
%    Ver 1.01  1997.05.22
%   by hagihira@anes.med.osaka-u.ac.jp
%      Department of Anesthesiology, Osaka University Medical School,
%      2-2, Yamadaoka, Suita 565, Osaka, Japan.
%
%
\ProvidesClass{test}[1997/05/27]
%
\LoadClassWithOptions{article}
%
%  double space setting
%
\def\baselinestretch{1.5}
%
%
%  title page setting
%
  \if@titlepage
  \renewcommand\maketitle{\begin{titlepage}%
  \let\footnotesize\small
  \let\footnoterule\relax
  \let \footnote \thanks
  \null\vfil
  \vskip 60\p@
  \begin{center}%
    {\LARGE \@title \par}%
    \vskip 3em%
    {\large
     \lineskip .75em%
      \begin{tabular}[t]{c}%
        \@author
      \end{tabular}\par}%
      \vskip 1.5em%
    {\large \@date \par}%       % Set date in \large size.
  \end{center}\par
  \@thanks
  \vfil\null
  \end{titlepage}%
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
  \global\let\affilation\relax
  \global\let\keywords\relax
  \global\let\correspondence\relax
}
\else
\renewcommand\maketitle{\par
  \begingroup
    \renewcommand\thefootnote{\@fnsymbol\c@footnote}%
    \def\@makefnmark{\rlap{\@textsuperscript{\normalfont\@thefnmark}}}%
    \long\def\@makefntext##1{\parindent 1em\noindent
            \hb@xt@1.8em{%
                \hss\@textsuperscript{\normalfont\@thefnmark}}##1}%
    \if@twocolumn
      \ifnum \col@number=\@ne
        \@maketitle
      \else
        \twocolumn[\@maketitle]%
      \fi
    \else
      \newpage
      \global\@topnum\z@   % Prevents figures from going at top of page.
      \@maketitle
    \fi
    \thispagestyle{plain}\@thanks
  \endgroup
  \setcounter{footnote}{0}%
  \global\let\thanks\relax
  \global\let\maketitle\relax
  \global\let\@maketitle\relax
  \global\let\@thanks\@empty
  \global\let\@author\@empty
  \global\let\@date\@empty
  \global\let\@title\@empty
  \global\let\title\relax
  \global\let\author\relax
  \global\let\date\relax
  \global\let\and\relax
  \global\let\affilation\relax
  \global\let\keywords\relax
  \global\let\correspondence\relax
}
\def\@maketitle{\newpage
 \null
 \vskip 2em \begin{center}
 {\LARGE \@title \par} \vskip 1.5em {\large \lineskip .5em
\begin{tabular}[t]{l}\@author 
 \end{tabular}
 \par} 
 \vskip 1em {\large \lineskip .5em 
\begin{tabular}[t]{l}\@affilation \end{tabular} \par} \end{center}
 \vskip 1.5em 
\@ifundefined{@keywords}{}{
 \begin{center}
  {\bf keywords to \vspace{-.5em}\vspace{0pt}}
 \end{center}
 \begin{quotation} \@keywords \end{quotation}
 \vskip 1.5em}
\@ifundefined{@correspondence}{}{
 \begin{center}
  {\bf correspondence to \vspace{-.5em}\vspace{0pt}}
 \end{center}
 \begin{quotation} \@correspondence \end{quotation}
 \vskip 1.5em}
 \gdef\@affilation{}
 \gdef\@keywords{}
 \gdef\@correspondence{}
}
\long\def\affilation#1{\long\gdef\@affilation{#1}}
\long\def\keywords#1{\long\gdef\@keywords{#1}}
\long\def\correspondence#1{\long\gdef\@correspondence{#1}}
\fi
%
%  no numbers set on section/subsection/subsubsection
%
\renewcommand \thesection{}
\renewcommand\thesubsection{}
\renewcommand\thesubsubsection{}
%
%  citation form setting
%
\def\@cite#1#2{$^{\hbox{\scriptsize{#1\if@tempswa , #2\fi}}}$}
%
%  bibliography heading setting
%
\renewcommand*{\@biblabel}[1]{#1.\hfill}
% end of test.cls -----------------------------------------------

